Bug 1341178 - nova-compute minimum memory
Summary: nova-compute minimum memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Sven Anderson
QA Contact: Joe H. Rahme
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-31 12:20 UTC by Joe Talerico
Modified: 2019-09-09 15:44 UTC (History)
17 users (show)

Fixed In Version: openstack-nova-17.0.0-0.20180123163703.27eadbc.el7ost openstack-tripleo-heat-templates-8.0.0-0.20180122224017.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:26:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 465100 None MERGED Increase default for NovaReservedHostMemory to 4096 2020-08-08 10:05:17 UTC
Red Hat Product Errata RHEA-2018:2086 normal SHIPPED_LIVE Red Hat OpenStack Platform 13.0 Enhancement Advisory 2018-06-28 19:51:39 UTC

Description Joe Talerico 2016-05-31 12:20:39 UTC
Description of problem:
Currently we suggest 6GB of RAM to be reserved just for OpenStack services on the compute nodes, however the host_reserved_memory_mb is set to 2048. To reflect what we put into documentation should we update both docs and nova.conf to be 4096, since 6GB seems a bit much.

Comment 3 Sven Anderson 2016-06-03 15:17:30 UTC
Two questions here:

- This bug is about changing the default value of host_reserved_memory_mb only, not the documentation, which is in another ticket, right?

- we would like to change the default value in OSP director, not in nova itself. Is that what you were thinking of?

Comment 4 Joe Talerico 2016-06-06 14:35:51 UTC
Sven - 
1) This is about changing the Documentation and the Default to reflect the same value. 

2) Correct - our THT would be where we change this (that is if we decide to change it). 

Right now we reserve 2GB, instead of the nova default (512MB).

Comment 5 Sven Anderson 2017-05-16 15:44:21 UTC
Even in master this is still 2048. This bug is for OSP8. Is this actually a problem somewhere? To backport that upstream we would need an upstream bug as well. I'm happy to submit the changes, but wanna make sure it has sufficient priority.

Comment 6 Sven Anderson 2017-05-16 15:46:00 UTC
Also could you provide a link to the documentation you are referring to? Thanks!

Comment 7 Joe Talerico 2017-05-17 00:21:38 UTC
Sven - 
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/8/html/director_installation_and_usage/sect-overcloud_requirements

"
Memory
A minimum of 6 GB of RAM.
"

Then it states :

"
Add additional RAM to this requirement based on the amount of memory that you intend to make available to virtual machine instances.
"

Comment 8 Sven Anderson 2017-06-06 12:47:30 UTC
Upstream changed got merged. Adding NEEDINFO for rhos-docs@redhat.com to take care of the documentation changes.

Comment 16 errata-xmlrpc 2018-06-27 13:26:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.